/*
 *     ProjectPathDialog.java  Jan 15, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.gui;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.io.File;

public class ProjectPathDialog extends PropertyDialog {

    public ProjectPathDialog(SimpleBrowser browser, String title) {
        super(browser, title, JFileChooser.DIRECTORIES_ONLY);
    }

    public ProjectPathDialog(MainFrame frame, FileManager fm, String title) {
        super(frame, fm, title, JFileChooser.DIRECTORIES_ONLY);
    }

    protected boolean checkOption(String name) {
        File file = new File(name);
        if (file.isDirectory()) {
            return true;
        }
        JOptionPane.showMessageDialog(frame, "Failed to find: " + name + ".");
        return false;
    }

    public void show() {
        propertyField.setText(browser.getProjectDir());
        super.show();

        String oldDir = browser.getProjectDir();
        String newDir = propertyField.getText();

        browser.setProjectDir(newDir);

        setVisible(false);
        if (frame != null && oldDir != null && !oldDir.equals(newDir)) { 
            fileManager.buildFileTree(newDir);
        }
    }
}
