/*
 *     Javac.java  Nov 21, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.j2xml;
import java.io.*;

public class Javac {

    public static void run(String name, File file, String classDir) throws ParseException {
        if (file == null || !file.exists()) {
            new ParseException("Fail to run javac");
        }

        try {
            String classPath = name.substring(0, name.lastIndexOf(File.separator))
                + File.pathSeparator + SystemProperties.getClassPath();
            
            String[] cmd = new String[6];
            cmd[0] = "javac";
            cmd[1] = "-classpath";
            cmd[2] = classPath;
            cmd[3] = "-d";
            cmd[4] = classDir;
            cmd[5] = file.getPath();
            
            Runtime rt = Runtime.getRuntime();
            Process process = rt.exec(cmd);
            process.waitFor();

            String mesg = getMessage(process.getErrorStream());
            if (mesg != null && mesg.length() != 0) {
                throw new ParseException(mesg);
            }
            return;
            
        } catch (InterruptedException e) {
        } catch (IOException e) {
        }
        new ParseException("Fail to run javac");
    }

    private static String getMessage(InputStream is) throws IOException {
        StringBuffer buf = new StringBuffer();
        BufferedReader reader = new BufferedReader(new InputStreamReader(is));

        String line;
        while ((line = reader.readLine()) != null) {
            buf.append(line + "\n");
        }
        reader.close();
        return new String(buf);
    }
}
