/*
 *     JXConstants.java  Nov 24, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml;
import java.util.*;
import java.io.*;

public interface JXConstants {

    public static final String FileElem = "File";
    public static final String PackageElem = "Package";
    public static final String ImportElem = "Import";
    public static final String ClassElem = "Class";
    public static final String InterfaceElem = "Intf";

    public static final String ConstructorElem = "Ctor";
    public static final String MethodElem = "Method";
    public static final String StaticInitElem = "SInit";
    public static final String FieldElem = "Field";
    public static final String ParameterElem = "Param";
    public static final String LocalElem = "Local";

    public static final String ExtendsElem = "ExtdOpt";
    public static final String ImplementsElem = "ImplOpt";
    public static final String ThrowsElem = "ThrwOpt";
    public static final String MembersElem = "Members";

    public static final String QNameElem = "QName";
    public static final String TypeElem = "Type";

    public static final String StatementElem = "Stmt";
    public static final String LabelElem = "Label";
    public static final String ExpressionElem = "Expr";

    public static final String IdentElem = "ident";
    public static final String LiteralElem = "literal";
    public static final String CommentElem = "comment";
    public static final String KeywordElem ="kw";
    public static final String SeparationElem ="op";
    public static final String OperatorElem ="op";
    public static final String SpaceElem = "sp";
    public static final String NewLineElem ="nl";

    public static final String IdAttr = "id";
    public static final String DefIdAttr = "defid";
    public static final String PathAttr = "path";

    public static final String TypeFirstAttr = "typefirst";
    public static final String TypeNextAttr = "typenext";
    public static final String OmittedAttr = "omitted";
    public static final String QNameAttr = "qname";

    public static final String AccessAttr = "access";
    public static final String Public = "Public";
    public static final String Protected = "Protected";
    public static final String Private = "Private";
    public static final String Default = "Default";

    public static final String AbstractAttr = "abstract";
    public static final String FinalAttr = "final";
    public static final String NativeAttr = "native";
    public static final String StaticAttr = "static";
    public static final String SynchronizedAttr = "sync";
    public static final String TransientAttr = "transient";
    public static final String VolatileAttr = "volatile";
    public static final String StrictfpAttr = "strictfp";

    public static final String SortAttr = "sort";
    public static final String Empty = "EMPTY";
    public static final String Expression = "EXPR";
    public static final String Block = "BLOCK";

    public static final String Do = "DOWHILE";
    public static final String While = "WHILE";
    public static final String For = "FOR";
    public static final String If = "IFELSE";
    public static final String Switch = "SWITCH";
    public static final String Break = "BREAK";
    public static final String Continue = "CONT";
    public static final String Return = "RETURN";
    public static final String Synchronized = "SYNC";
    public static final String Throw = "THROW";
    public static final String Try = "TRY";
    public static final String Assert = "ASSERT";

    public static final String Assignment = "Assign";
    public static final String PreInc = "PreINC";
    public static final String PreDec = "PreDEC";
    public static final String PostInc = "PostINC";
    public static final String PostDec = "PostDED";

    public static final String DotOp = "DOT";
    public static final String QNameDotOp = "QNameDOT";
    public static final String ParenOp = "Paren";
    public static final String ConstructorCall = "CtorCall";
    public static final String SuperConstructorCall = "SpCtorCall";
    public static final String MethodCall = "MethodCall";
    public static final String InstanceCreation = "InstanceCreation";
    public static final String ArrayCreation = "ArrayCreation";
    public static final String InstanceOf = "InstanceOf";
    public static final String SelectionCond = "Selection";
    public static final String Cast = "Cast";

    public static final String VarRef = "VarRef";
    public static final String TypeRef = "TypeRef";
    public static final String ArrayAccess = "ArrayAccess";
    public static final String Literal = "Literal";
    public static final String ThisRef = "This";

    public static final String Array = "Array";
    public static final String Primitive = "Primitive";
    public static final String ObjectRef = "Object";
    public static final String ClassRef = "Class";
    public static final String Listed = "Listed";

    public static final String ConditionOp = "Cond";

    public static final String IntegerLiteral = "INT";
    public static final String FloatingPointLiteral = "FLOAT";
    public static final String StringLiteral = "STR";
    public static final String CharacterLiteral = "CHAR";
    public static final String BooleanLiteral = "BOOL";
    public static final String NullLiteral = "NULL";

    public static final String ADD = "ADD";
    public static final String SUB = "SUB";
    public static final String MUL = "MUL";
    public static final String DIV = "DIV";
    public static final String MOD = "MOD";

    public static final String NOT = "NOT";
    public static final String AND = "AND";
    public static final String XOR = "XOR";
    public static final String OR = "OR";

    public static final String LogicalNOT = "LogicalNOT";
    public static final String LogicalAND = "LogicalAND";
    public static final String LogicalXOR = "LogicalXOR";
    public static final String LogicalOR = "LogicalOR";

    public static final String SHL = "SHL";
    public static final String SHR = "SHR";
    public static final String SHRZ = "SHRZ";

    public static final String PLUS = "Plus";
    public static final String MINUS = "Minus";

    public static final String CondLT = "CondLT";
    public static final String CondGT = "CondGT";
    public static final String CondLE = "CondLE";
    public static final String CondGE = "CondGE";
    public static final String CondEQ = "CondEQ";
    public static final String CondNE = "CondNE";

    public static final String ReadAttr = "read";
    public static final String WriteAttr = "write";

    public static final String LineAttr = "line";
    public static final String OffsetAttr = "offset";

    /*
      the followings are addded to the original Sapid's DTD(JX-model3.dtd)
    */
    public static final String FqnMapElem = "FqnMap";
    public static final String AncestorElem = "Ances";
    public static final String DescendantElem = "Desce";

    public static final String ClassPathAttr = "classpath";
    public static final String NameAttr = "name";
    public static final String FqnAttr = "fqn";
    public static final String JarAttr = "jar";
    public static final String RefAttr = "ref";
    public static final String DistanceAttr = "distance";
    public static final String LineNumberAttr = "ln";

    public static final String ClassValue = "CLASS";
    public static final String InterfaceValue = "INTERFACE";

    public static final String YES = "yes";
    public static final String NO = "no";

    public static final String LEVEL1 = "level1";
    public static final String LEVEL2 = "level2";
    public static final String LEVEL3 = "level3";
    public static final String LEVELC = "class";

    public static final String HighlightAttr = "highlight";
    public static final String CodeElem = "Code";
}
