/*
 *     DOM2Code.java  Feb 8, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.dom;
import org.jtool.platform.util.*;
import java.util.*;
import java.io.*;
import org.w3c.dom.*;

public class DOM2Code {
    private static StringBuffer buf;

    public static String getCode(Document doc) {
        buf = new StringBuffer();
        writeNode(doc.getDocumentElement());
        return buf.toString();
    }

    public static String getCode(Node node) {
        buf = new StringBuffer();
        writeNode(node);
        return buf.toString();
    }

    private static void writeNode(Node node) {
        if (node.getNodeType() == Node.TEXT_NODE) {
            buf.append(node.getNodeValue());

        } else if (node.getNodeType() == Node.ELEMENT_NODE) {
            for (Node child = node.getFirstChild();
                 child != null; child = child.getNextSibling()) {
                writeNode(child);
            }
        }
    }
}
