/*
 *     DOMTreeCreator.java  Jan 19, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.dom;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.util.*;
import java.util.*;
import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.InputSource;

public class DOMTreeCreator {

    public static Document create(String content) {
        try {
            InputSource in = new InputSource(new ByteArrayInputStream(content.getBytes()));
                                                   
            DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
            DocumentBuilder builder = dbf.newDocumentBuilder();
            Document doc = builder.parse(in);
            return doc;

        } catch (Exception e) {
            System.out.println("DOM: Parse error occurred: " + e.getMessage() + ".");
            return null;
        }
    }

    public static Document create() {
        try {
            DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
            DocumentBuilder builder = dbf.newDocumentBuilder();
            Document doc = builder.newDocument();
            return doc;

        } catch (Exception e) {
            System.out.println("DOM: Create error occurred: " + e.getMessage() + ".");
            return null;
        }
    }

    public static void main(String[] args) {
        if (args.length == 1) {
            try {
                String content = ReadFile.read(args[0]);
                Document doc = DOMTreeCreator.create(content);

            } catch (IOException e) {
                return;
            }
        } else {
            System.err.println("Usage: java DOMTreeCreator xmlfile");
        }
    }
}
