/*
 *     CFGBranch.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.graph.*;
import org.w3c.dom.*;

public class CFGBranch extends CFGStatement {
    private CFGBranch() {
    }

    public CFGBranch(int sort, Element elem) {
        super(sort, elem);
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (sort) {
            case GraphNodeSort.ifSt: mesg = "if"; break;
            case GraphNodeSort.whileSt: mesg = "while"; break;
            case GraphNodeSort.doSt: mesg = "do"; break;
            case GraphNodeSort.forSt: mesg = "for"; break;
            case GraphNodeSort.breakSt: mesg = "break"; break;
            case GraphNodeSort.continueSt: mesg = "continue"; break;
            case GraphNodeSort.caseLabel: mesg = "case"; break;
            case GraphNodeSort.defaultLabel: mesg = "default"; break;
        }
        printDefUse(mesg, buf);
    }
}
