/*
 *     CFGDeclaration.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.graph.*;
import org.jtool.platform.xml.wrapper.*;
import java.util.*;
import org.w3c.dom.Element;

public class CFGDeclaration extends CFGStatement {
    private CFGDeclaration() {
    }

    public CFGDeclaration(int sort, Element elem) {
        super(sort, elem);
    }

    public JavaVariable getDeclaration() {
        return defs.getFirst();
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (sort) {
            case GraphNodeSort.fieldDecl: mesg = "field declaration"; break;
            case GraphNodeSort.localDecl: mesg = "local declaration"; break;
        }
        printDefUse(mesg, buf);
    }
}
