/*
 *     CD.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.pdg;
import org.jtool.platform.xml.graph.*;

public class CD extends Dependence {
    private CD() {
    }

    public CD(PDGNode src, PDGNode dst) {
        super(src, dst);
    }

    public void setTrue() {
        sort = trueControlDependence;
    }

    public boolean isTrue() {
        return sort == trueControlDependence;
    }

    public void setFalse() {
        sort = falseControlDependence;
    }

    public boolean isFalse() {
        return sort == falseControlDependence;
    }

    public void setFall() {
        sort = fallControlDependence;
    }

    public boolean isFall() {
        return sort == fallControlDependence;
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (sort) {
            case trueControlDependence: mesg = "T"; break;
            case falseControlDependence: mesg = "F"; break;
            case fallControlDependence: mesg = "Fall"; break;
        }
        buf.append(src.getId() + " -> " + dst.getId() + ": " + mesg + "\n");
    }
}
