/*
 *     PDGMethodEntry.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.pdg;
import org.jtool.platform.xml.graph.*;
import org.jtool.platform.xml.graph.cfg.*;
import org.jtool.platform.xml.wrapper.*;

public class PDGMethodEntry extends PDGNode {
    private PDGMethodEntry() {
    }

    public PDGMethodEntry(CFGMethodEntry node) {
        super(node);
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (getSort()) {
            case methodEntry: mesg = "method entry"; break;
            case constructorEntry:  mesg = "constructor entry"; break;
        }

        JavaMethod jm = new JavaMethod(getCFGNode().getElem());
        mesg = mesg + " [" + jm.getName() + "]";
        print(mesg, buf);
    }
}
