/*
 *     PDGStatement.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.pdg;
import org.jtool.platform.xml.graph.*;
import org.jtool.platform.xml.graph.cfg.*;
import org.jtool.platform.xml.wrapper.*;
import java.util.*;

public class PDGStatement extends PDGNode {
    private PDGStatement() {
    }

    public PDGStatement(CFGStatement node) {
        super(node);
    }

    public boolean isStatement() {
        return true;
    }

    public JavaVariableList getDefVars() {
        CFGStatement node = (CFGStatement)cfgNode;
        return node.getDefVars();
    }

    public JavaVariableList getUseVars() {
        CFGStatement node = (CFGStatement)cfgNode;
        return node.getUseVars();
    }

    public boolean containsDefVariable(JavaVariable jv) {
        CFGStatement node = (CFGStatement)cfgNode;
        return node.containsDefVariable(jv);
    }

    public boolean containsUseVariable(JavaVariable jv) {
        CFGStatement node = (CFGStatement)cfgNode;
        return node.containsUseVariable(jv);
    }

    public JavaVariable getJavaVariableInDefs(String v) {
        Iterator it = getDefVars().iterator();
        while (it.hasNext()) {
            JavaVariable var = (JavaVariable)it.next();
            if (v.equals(var.getName())) {
                return var;
            }
        }
        return null;
    }

    public JavaVariable getJavaVariableInUses(String v) {
        Iterator it = getUseVars().iterator();
        while (it.hasNext()) {
            JavaVariable var = (JavaVariable)it.next();
            if (v.equals(var.getName())) {
                return var;
            }
        }
        return null;
    }

    public void print(StringBuffer buf) {
        CFGStatement node = (CFGStatement)cfgNode;
        String mesg = getSort() + "";
        node.printDefUse(mesg, buf);
    }
}
