/*
 *     JavaQNameElement.java  Dec 13, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.wrapper;
import org.jtool.platform.xml.JXConstants;
import org.w3c.dom.*;

public class JavaQNameElement extends JavaElement {
    private String name = null;

    private JavaQNameElement() {
    }

    public JavaQNameElement(Node node) {
        super(node);
    }

    public String getName() {
        if (name == null) {
            name = getQName(elem);
        }
        return name;
    }
    
    public boolean isImport() {
        return elem.getNodeName().equals(JXConstants.ImportElem);
    }

    public boolean isPackage() {
        return elem.getNodeName().equals(JXConstants.PackageElem);
    }
}
