/*
 *     RefJavaClass.java  Jan 14, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;
import org.jtool.platform.j2xml.Repository;
import org.jtool.platform.j2xml.JavaXMLText;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.dom.*;
import org.w3c.dom.*;

public class RefJavaClass extends RefJavaElement {

    private RefJavaClass() {
    }

    public RefJavaClass(Node node) {
        super(node);
        if (elem.getNodeName() != JXConstants.TypeElem) {
            System.err.println("Must wrap a Type element");
            elem = new NullElement();
        }
    }

    public String getRefFqn() {
        return getFqn();
    }

    public String getRefId() {
        JavaClass jc = getRefJavaClass();
        if (jc != null) {
            return jc.getId();
        }
        return null;
    }

    public String getRefName() {
        return getFqn();
    }

    public JavaElement getRefJavaElem() {
        return getRefJavaClass();
    }

    public boolean isObjectRef() {
        String sort = getSort();
        if (sort != null) {
            return sort.equals(JXConstants.ObjectRef);
        }
        return false;
    }

    public boolean isClassRef() {
        String sort = getSort();
        if (sort != null) {
            return sort.equals(JXConstants.ClassRef);
        }
        return false;
    }
}
