/*
 *     RefJavaField.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;
import org.jtool.platform.j2xml.Repository;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.dom.*;
import org.w3c.dom.*;

public class RefJavaField extends RefJavaElement {
    private Element ident = null;

    private RefJavaField() {
    }

    public RefJavaField(Node node) {
        super(node);
        if (elem.getNodeName() == JXConstants.ExpressionElem) {
            ident = (Element)getFirstChildNode(elem, JXConstants.IdentElem);
        } else {
            System.err.println("Must wrap a Expr element");
            elem = new NullElement();
        }
    }

    public JavaElement getRefJavaElem() {
        return getRefJavaField();
    }

    public JavaField getRefJavaField() {
        JavaClass jc = getRefJavaClass();
        String defid = getRefId();

        if (jc != null && defid != null) {
            Element e = jc.getFieldNode(defid);

            JavaField jf = new JavaField(e);
            return jf;
        }
        return null;
    }

    public boolean isFieldAccess() {
        String sort = getElemSort(elem);
        if (sort != null) {
            return sort.equals(JXConstants.VarRef)
                && getRefJavaField() != null;
        }
        return false;
    }

    public boolean hasReadAttribute() {
        return elem.getAttribute(JXConstants.ReadAttr).equals(JXConstants.YES);
    }

    public boolean hasWriteAttribute() {
        return elem.getAttribute(JXConstants.WriteAttr).equals(JXConstants.YES);
    }
}
