/*
 *     RefJavaMethod.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;
import org.jtool.platform.j2xml.Repository;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.*;
import org.jtool.platform.xml.dom.*;
import org.w3c.dom.*;

public class RefJavaMethod extends RefJavaElement {

    private RefJavaMethod() {
    }

    public RefJavaMethod(Node node) {
        super(node);
        if (elem.getNodeName() != JXConstants.ExpressionElem) {
            System.err.println("Must wrap a Expr element");
            elem = new NullElement();
        }
    }

    public JavaElement getRefJavaElem() {
        return getRefJavaMethod();
    }

    public JavaMethod getRefJavaMethod() {
        JavaClass jc = getRefJavaClass();
        String defid = getRefId();

        if (jc != null && defid != null) {
            Element e = jc.getMethodNode(defid);

            JavaMethod jm = new JavaMethod(e);
            return jm;
        }
        return null;
    }

    public boolean isMethodCall() {
        String sort = getElemSort(elem);
        if (sort != null) {
            return sort.equals(JXConstants.MethodCall)
                && getRefJavaMethod() != null;
        }
        return false;
    }

    public String getSignature() {
        return getRefJavaMethod().getSignature();
    }
}
